using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VetClinicContracts.BindingModels;
using VetClinicContracts.ViewModels;
using VetClinicDataBaseImplement.Implements;

namespace VetClinicContracts.BusinessLogicsContracts
{
	public interface IReportLogicAdmin
	{
		List<ListServicesViewModel> GetAnimalServices(List<int> animals);
		void SaveServicesToWordFile(ListServicesBindingModel model);
		void SaveServicesToExcelFile(ListServicesBindingModel model);
		List<MedicinesVaccinationsViewModel> GetVisitMedicinesAndVaccinations(MedicinesVaccinationsBindingModel animals);
		void SaveVisitsToPdfFile(MedicinesVaccinationsBindingModel model);
	}
}
